package jp.sourceforge.shovel.form;

import jp.sourceforge.shovel.RepliesType;

public interface INoticesForm {
    boolean isAutoNudge();
    void setAutoNudge(boolean autoNudge);
    String getReplies();
    void setReplies(String replies);
    RepliesType getRepliesType();
    void setRepliesType(RepliesType repliesType);
    boolean isNewFriends();
    void setNewFriends(boolean newFriends);
    boolean isReceiptDirectMessage();
    void setReceiptDirectMessage(boolean receiptDirectMessage);
    boolean isReply();
    void setReply(boolean reply);
    boolean isGrowl();
    void setGrowl(boolean growl);
    String getGrowlHost();
    void setGrowlHost(String growlHost);
    String getGrowlPassword();
    void setGrowlPassword(String growlPassword);
}
